Delete a workspace
Accept the request for workspace deletion within the scope of an authorized organization and initiate an asynchronous flow. The response returns the created operation, which can be checked later in the operations endpoints.
curl --request DELETE \
--url https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "64f0c2a1b2d3e4f506070811",
"organization_id": "507f1f77bcf86cd799439011",
"name": "delete_workspace",
"description": "Operacion de eliminacion de workspace",
"status": "pending",
"created_at": "2026-06-05T14:12:00Z",
"started_at": null,
"ended_at": null,
"microservice_id": null,
"flow_id": null,
"remote_support": null
}{
"error": {
"message": "Formato de workspace_id no valido",
"code": "bad_request",
"details": "workspace_id debe ser una cadena hexadecimal en minusculas de 24 caracteres"
}
}{
"error": {
"message": "No autorizado",
"code": "unauthorized"
}
}{
"error": {
"message": "Workspace no encontrado",
"code": "not_found"
}
}{
"error": {
"message": "Error interno del servidor",
"code": "internal_error"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Organization identifier.
24^[0-9a-f]{24}$Workspace identifier.
24^[0-9a-f]{24}$Response
Request accepted. Operation is returned for tracking in operations endpoints.
Operation execution identifier.
24^[0-9a-f]{24}$Operation name.
Identifier of the organization owning the operation.
24^[0-9a-f]{24}$Operation description. An empty string is returned when it doesn't exist at source.
Current operation status.
finished, unknown, error, pending, in-progress, timeout, cancelled, scheduled Creation timestamp.
Start timestamp.
Completion timestamp.
Related microservice identifier, when it exists.
24^[0-9a-f]{24}$Related flow identifier, when it exists.
24^[0-9a-f]{24}$Show child attributes
Show child attributes
curl --request DELETE \
--url https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v2/organizations/{organization_id}/workspaces/{workspace_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "64f0c2a1b2d3e4f506070811",
"organization_id": "507f1f77bcf86cd799439011",
"name": "delete_workspace",
"description": "Operacion de eliminacion de workspace",
"status": "pending",
"created_at": "2026-06-05T14:12:00Z",
"started_at": null,
"ended_at": null,
"microservice_id": null,
"flow_id": null,
"remote_support": null
}{
"error": {
"message": "Formato de workspace_id no valido",
"code": "bad_request",
"details": "workspace_id debe ser una cadena hexadecimal en minusculas de 24 caracteres"
}
}{
"error": {
"message": "No autorizado",
"code": "unauthorized"
}
}{
"error": {
"message": "Workspace no encontrado",
"code": "not_found"
}
}{
"error": {
"message": "Error interno del servidor",
"code": "internal_error"
}
}